#ifndef EVSEMETER_H_
#define EVSEMETER_H_

#include "esp_err.h"
#include "esp_event_base.h"

#ifdef __cplusplus
extern "C" {
#endif

ESP_EVENT_DECLARE_BASE(EVSEMETER_EVENT);

typedef enum {
    EVSEMETER_EVENT_UPDATE
} evsemeter_event_id_t;

esp_err_t evsemeter_init(void);
esp_err_t evsemeter_read_current(float *current);

#ifdef __cplusplus
}
#endif

#endif /* EVSEMETER_H_ */
